import type { Ref } from "vue";
import type { StoreMeta, StoreType } from "./Types";
export declare class StoreApi {
    private readonly store;
    constructor(store: StoreType);
    static forBinding(storeBinding: string): StoreApi;
    static forBindingDevTools(storeBinding: string): {
        store: StoreApi;
        instance: StoreType;
    };
    static forClass(storeClassName: string): StoreApi;
    getInstance(): StoreType;
    getMeta(): StoreMeta;
    getAllState(): {
        [key: string]: Ref;
    };
    getAllGetters(): [string, import("./Types").StoreGetterInfo][];
    getAllActions(): (string | {
        name: string;
        params: import("./Types").StoreMetaAction[];
        value: any;
    })[][];
    getName(): string;
    getVueBinding(): string;
}
