import ts from "typescript";
import { LifeCycleEvent } from "../../Common/LifeCycle";
import { Linter } from "../Linting";
import { StoreMeta } from "./StoreMeta";
export declare class ActionMeta {
    /**
     * The name of the method
     * @type {string}
     */
    name: string;
    /**
     * The parameters of the method
     * @type {any[]}
     */
    params: any[];
    /**
     * If we defined a lifecycle decorator on the method, we'll return it here
     *
     * @type {LifeCycleEvent}
     */
    lifeCycleEventHandler: LifeCycleEvent;
    /**
     * Typescript AST for the method
     * @type {ts.MethodDeclaration}
     * @private
     */
    private method;
    /**
     * Typescript AST for the method signature
     * @type {ts.Signature}
     * @private
     */
    private signature;
    constructor(method: ts.MethodDeclaration, linter: Linter, store: StoreMeta);
    toJSON(): {
        name: string;
        params: any[];
        lifeCycleEventHandler: LifeCycleEvent;
    };
}
